### In den alten addXXXNode - Prozeduren wurde den Aufrufen der Binde-
### Prozeduren je ein '$' vorangestellt, um die zu bindenden Aktionen
### schnell aendern zu koennen und trotzdem einen Vergleich mit alten
### Versionen nicht zu behindern (wie etwa bei Aenderungen innerhalb
### der Prozeduren node_B1_press von ff). Mit 'rename' waere es 
### auch gegangen.

### Kontextmenues und Autocall werden vorerst an B2 - Gesten gebunden.

### Triviale Defaultwerte

# Selektierung - kommentiert als "tut so wie sie ist - wer weiss wieso"

#  Alt, aus der MGraph::currentNSet / tkbrowser-$Selection - Verbindung.
#  Selektion von Graphikelementen -auf Repraesentationsebene- zur
#  Bearbeitung a la ff - Ziehen, Goldkante - und gleichzeitig Selektion
#  der zugrundeliegenden logischen Knoten (Grasknoten(nummern)) in
#  einer Menge, die sich durch Markierungen darstellen kann und die
#  Kandidat fuer einen Parameter einer Transaktion ist.

#  Die Bearbeitung i.S. eines manuellen Layout sowie Arbeit mit dem
#  repraesentierten logischen Graphen kann in Betriebsarten aufgeteilt
#  werden - aehnlich "Create, Navigate, Zoom" in der unverstuemmelten
#  ff-library, sh. canvas.tcl. Bindungen koennen diese Betriebsarten
#  unterscheiden.

set node_B1_press	node_B1_press
set node_B1_shift_press node_B1_shift_press
set node_B1_release	node_B1_release

# Bewegen eines Items auf dem jeweiligen Canvas
#  beachte: benutze absolute Screen-Koordinaten %X und %Y
set node_B1_motion	node_B1_motion
#  Sollte nach einer Verkleinerung der Selektion mit B1_shift_press
#  nicht die noch selektierten Knoten bewegen.

# Popup-Menu anzeigen

# Menu wird absolut auf dem Screen plaziert, kein ChildWindow des Canvas
set node_B3_press	node_B3_press
# Node Info in Statusbar anzeigen
set node_B3_shift_press node_B3_shift_press
# Menu verstecken
set node_B3_release	node_B3_release
# "Menupunkt auswaehlen" body ist in node.tcl auskommentiert
set node_B3_motion	node_B3_motion

### Beispiel: Abwandlung von node_B1_press  mit der Moeglichkeit, Mengen
###           mit der Selektionsgeste auszuwaehlen, ohne dafuer erst Shift zu
###           druecken (etwa wenn ab jetzt nur noch Mengen begonnen werden
###           sollen und mit einer Abschlussgeste auf den Mengenstapel kommen)

set multiselect 0 ;# 0: einzelne Knoten markieren, 1: Knotenmengen 

### Procedure node_new_selection
proc node_new_selection {item cfTmpTag {cN {don't care}}} {
    set body1  { setCurrentNode $currentNode \
		    [.frame0.canvas2 canvasx %X] [.frame0.canvas2 canvasy %Y] }
    set body1a { multiselect }
    set body1b { selectIfNot $currentNode \
		     [.frame0.canvas2 canvasx %X] [.frame0.canvas2 canvasy %Y]}
    set body2  { moveCurrent [.frame0.canvas2 find withtag current] \
		    [.frame0.canvas2 canvasx %X] [.frame0.canvas2 canvasy %Y] }
    bind $item <<new_selection>> "
                                    set currentNode $cfTmpTag ;
                                    if {\$multiselect} {
                                       recall $body1a ; recall $body1b;
                                       recall $body2 ;
                                    } {
                                       recall $body1 ; recall $body2 ;
                                    } ;
                                    unset currentNode ;
                                 "
}

### Beispiel: B1_press an die zu testende neue Selektionsart binden

set node_B1_press node_new_selection
event add <<new_selection>> <Button-1>

###

return ok
