global GlobalStackTraceFile
proc transaction_failed_err_mssg { ErrorMsgFile {StackTraceFile NONE} } {
    global GlobalStackTraceFile
    set GlobalStackTraceFile $StackTraceFile
    set w [toplevel .transaction_failed_err_mssg]
    tixButtonBox $w.box -orientation horizontal
    pack $w.box -side bottom -fill x

    if {[string compare $StackTraceFile NONE] != 0} {
	$w.box add ok -text "see stack" -width 10 -command {
	    if {[string compare  $GlobalStackTraceFile NONE] != 0} {
		.transaction_failed_err_mssg.errormsg subwidget text insert end "\n---STACK---\n"
		set StackTraceFileId [open $GlobalStackTraceFile]
		set line ""
		while {[gets $StackTraceFileId line] != -1} {
		    .transaction_failed_err_mssg.errormsg subwidget text insert end $line
		    .transaction_failed_err_mssg.errormsg subwidget text insert end "\n"
		}
		close $StackTraceFileId
		file delete -force $GlobalStackTraceFile
		set $GlobalStackTraceFile NONE
	    }
	}
    }

    $w.box add cancel -text exit  -command "destroy $w" \
 	-width 10


    tixScrolledText $w.errormsg -scrollbar auto -width 300 -height 150
    $w.errormsg subwidget text 
    pack $w.errormsg -expand yes -fill both -padx 10 -pady 10 -side top

    set ErrorMsgFileId [open $ErrorMsgFile]
    $w.errormsg subwidget text insert end  [read -nonewline $ErrorMsgFileId ]
    close $ErrorMsgFileId
    file delete -force $ErrorMsgFile
    


}

return ok
