/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
/*
// Copyright 1994 Carsten Friedrich, Universitaet Passau
//
// $Author: friedric $
// $Date: 1996/05/06 14:24:44 $
// $RCSfile: FFInspector.h,v $
// $Revision: 1.2 $
// $State: Exp $
//
*/

#ifndef FF_INSPECTOR
#define FF_INSPECTOR

#include <stdlib.h>
#include <stdio.h>

class FFGraphLabel;

class FFInspector 
{
protected:
  FFGraphLabel *graphLabel;

public:
  virtual void show() {}
  virtual void hide() {}
  virtual void inspect() = NULL;

  FFInspector(FFGraphLabel *g) {graphLabel = g;}
  virtual ~FFInspector(){}
};

#endif
