/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
//-*-Mode: C++;-*-
#ifndef FFNODELABEL
#define FFNODELABEL

#include "FFLabelClass.h"
class FFNodeClass;

//---- newclass -----------------------------------------------------------

#define ffNodeLabel String("FFNodeLabel")

class FFNodeLabel : public FFLabelClass
{
  friend class FFNodeClass;

protected:
  FFNodeClass *node;

public:
	inline FFNodeLabel(){node = NULL; _setType(ffNodeLabel);}
	inline virtual void init( FFNodeClass *n) { node = n; }
	virtual FFNodeLabel *proto() const = NULL;
	inline virtual ~FFNodeLabel(){}
};

#endif
