/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
#ifndef SPRINGEMBEDDER
#define SPRINGEMBEDDER


#include <math.h>
#include <stream.h>
#include <string.h>
#include "globdefs.h"
#include "FFGraphClass.h"

#include <container/AVLSet.h>
#include <container/VOHSet.h>
#include <container/VHSet.h>

#include "ffError.h"
#include "FFlayout_algorithmen.h"
#include <container/AVLMap.h>
#include "FFGraphicNode.h"
#include "FFGraphWindow.h"
#include "FFPoint.h"

struct FSSpringInfo
{ 
  BOOL    animation, useEdgeWeight; 
  int     maxIteration, animationIntervals, dimension;
  FFCoord optDistance;
  FFPoint offset;
};


void springembedder (FFGraph& Graph, FSSpringInfo info, FFSet<FFNode>);

#endif
