#ifndef M2_TYPES_H_
#define M2_TYPES_H_

typedef short int       SHORTINT;  /* Bereich (-2^8)..(2^8)-1 */
typedef int             INTEGER ;  /* Bereich (-2^16)..(2^16)-1 */
typedef unsigned int    CARDINAL;  /* Bereich 0..(2^32)-1 */
typedef unsigned short  SHORTCARD; /* Bereich 0..(2^16)-1 */
typedef unsigned char   BOOLEAN;   /* Bereich 0..(2^8)-1  */
typedef unsigned char   CHAR;      /* Bereich 0..(2^8)-1  */
typedef unsigned char   BYTE;      /* Bereich 0..(2^8)-1  */
typedef unsigned short  WORD;      /* Bereich 0..(2^16)-1 */
typedef unsigned char   *ADDRESS;
typedef float		REAL;

/************************************************************************/
/*                    Modula-2 data types                               */
/************************************************************************/
 
typedef unsigned char   *CHAR_ARRAY;    /* array of arbitrary length    */
 
typedef BYTE            *BYTE_ARRAY;    /* array of arbitrary length    */

#endif
