/*
 *
 * Diese Datei ersetzt AGGobal.def.
 *
 */
#if !defined (_AGGLOBAL_)

#define _AGGLOBAL_

#ifdef __cplusplus
extern "C" {
#endif

/* Anfang ehemaliges csci/global.h */

#include "xdr/prim.h"
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Modula-2 Standard-Datentypen.
 */

#ifdef TRUE
#undef    TRUE
#endif
#define   TRUE          ((BOOLEAN) 1)

#ifdef FALSE
#undef    FALSE
#endif
#define   FALSE         ((BOOLEAN) 0)

/*
 * Maximale Anzahl eroeffneter Files waehrend einer Anwendung. Die
 * Anzahl der Datenbasen ist MaxDatabases/3-1
 */
#define MaxDatabases    1503

#define MaxApplNameLen 20


/*
 * Typ und maximale Anzahl lokaler Mengen
 */
#define MaxSet          1000

/*
 * Typ und maximale Anzahl lokaler Relationen
 */
#define MaxRel         1000

#ifdef __cplusplus
}
#endif
/* Ende ehemaliges csci/global.h */

#define ApplicationNameLength MaxApplNameLen
typedef CHAR ApplicationName[ApplicationNameLength];

#define MaxGraphNumber           MaxDatabases
#define MaxOpenGraphs            (MaxDatabases/3-1)
#define MaxNormalAttributeLength (MaxRecordLength * USHRT_MAX)
#define MaxIndexAttributeLength  MaxRecordLength


#define UndefinedNodeNumber 0
#define UndefinedTypeNumber 0
#define UndefinedGraphType  0

#define SaveGroup ""


#define DummyValue          0
#define BooleanValue        1
#define CardinalValue       2
#define IntegerValue        3
#define RealValue           4
#define CharValue           5
#define StringValue         6
#define SurrogateValue      7
#define SurrogatePairValue  8
#define UnknownValue        9
#define ConstraintValue    10

#define Violated   FALSE
#define Guaranteed TRUE


#ifdef __cplusplus
}
#endif

#endif
