%#include "xdr/base.h"
%#include "com/com.h"
%#include "xdr/bs_proc_info.h"


struct COM_LOGIN_TO_CONTROLLER_IN
    {
    CARDINAL      own_proc_id;
    CARDINAL      own_handle_id;
    BS_PROC_INFO  proc_info; 
    }; 


struct COM_LOGIN_TO_PROC_IN
    {
    CARDINAL   own_proc_id;
    CARDINAL   own_handle_id;
    }; 




struct COM_CREATE_TASK_IN
    {
    CARDINAL task_type;
    COM_XVAR_MSG  var_msg;
    };


struct COM_REQUEST_TASK_CONNECTION_IN
   {
   CARDINAL   from_proc_id;
   CARDINAL   from_task_id;
   CARDINAL   from_task_type_id;
   CARDINAL   from_handle_id; 
   CARDINAL   to_task_id;
   CARDINAL   to_task_type_id; 
   };



struct COM_CONNECT_TO_PROC_IN
   {
   CARDINAL      proc_id;
   CARDINAL      conn_type;
   CARDINAL      bin_mode;
   COM_XVAR_MSG  var_msg;
   };


struct COM_REQUEST_PROC_CONNECTION_IN
   {
   CARDINAL      first_proc;
   CARDINAL      second_proc; 
   CARDINAL      conn_type;
   };


struct COM_NOTIFY_CLOSED_CONN_IN
   {
   CARDINAL      handle_to_close;
   CARDINAL      closed_handle;
   CARDINAL      from_proc;
   CARDINAL      from_task;
   BOOLEAN	 error_situation;
   }; 


/* Controller -> Proc */
struct COM_NOTIFY_POSS_FAILURE_IN
   {
   CARDINAL      possibly_failed_proc;
   BOOLEAN       sure;  /* Leitung sicher zu */
   }; 

/* Proc -> Controller */
struct COM_NOTIFY_CHANNEL_CLOSING_IN
   {
   CARDINAL rem_proc_id;
   CARDINAL notifying_proc;
   }; 

