%/*
% *
% * Header fuer die Hack-Funktionen (O-Ton Schnittstellenbeschreibung
% * in AttributedGraph.def) von GRAS.
% *
% */


%#include "xdr/prim.h"

struct C_PutIndexAttribute
{
  NodeNumber	  Node;
  AttributeNumber AttNo;
  AOB             Val;
};

struct C_GetIndexAttribute
{
  NodeNumber	  Node;
  AttributeNumber AttNo;
  CARDINAL        AttLen;
};

struct S_GetIndexAttribute
{
 AOB Val;
};

struct C_DeleteIndexAttribute
{
  NodeNumber	  Node;
  AttributeNumber AttNo;
};

struct C_GetAllIndexAttributes
{
  NodeNumber   Node;
};

struct C_GetAllNodesWithUndefinedIndex
{
  AttributeNumber AttNo;
};

struct C_GetAllDefinedAttributes
{
  NodeNumber   Node;
};

struct C_ChangeNodeType
{
  NodeNumber   Node;
  TypeNumber   NewType;
};
