proc attr_win {win_name} {
    set w .$win_name
    global noofattr; global attr; global attrname;
    toplevel $w
    frame $w.top -relief raised -bd 1
    # Create a Scrolled Text widget.
    tixScrolledText $w.top.a -scrollbar auto -width 400 -height 150
    pack $w.top.a -expand yes  -fill both -padx 10 -pady 10 -side left 
    # Use a ButtonBox to hold the buttons.
    tixButtonBox $w.box -orientation horizontal
    $w.box add ok     -text close     -underline 0 -command "destroy $w" -width 6
    pack $w.box -side bottom -fill x
    pack $w.top -side top -fill both -expand yes
    $w.top.a subwidget text configure -background LightCyan1
    $w.top.a subwidget text tag configure highlight -background LightBlue1 -borderwidth 2 -relief groove -underline 0 -font  -*-lucidatypewriter-bold-r-*-*-14-*-*-*-*-*-*-*
    # Put the junk inside the text subwidget of the ScrolledText widget
    for {set index 0} {$index < $noofattr} {incr index} {
	$w.top.a subwidget text insert end  $attrname($index):
	for {set fill [string length  $attrname($index)]} {$fill <=20} {incr fill} {
	    $w.top.a subwidget text insert end " "
	}
	$w.top.a subwidget text tag add highlight "insert linestart" "insert lineend"
	$w.top.a subwidget text insert end " "
        # trim leading and trailing whitespace
        set attrString [string trim $attr($index)]

        # remove also (leading and) trailing newlines in strings enclosed in ""
        if { [ string last "\n\"" $attrString ] != -1} {
	  $w.top.a subwidget text insert end [ string range $attrString 0 [expr [string length $attrString ] - 3 ] ] 
	  $w.top.a subwidget text insert end "\""
        } else {
	  $w.top.a subwidget text insert end $attrString
        }
	$w.top.a subwidget text insert end "\n"
    }
}


return ok