###############################################################################
#
# setNodeStyleCircle.tcl
# 
# 
# Erzeugung des Rahmens fuer NodeStyle Circle
#
#
###############################################################################

proc create_circle_style { } {
    global typeArray
    global typeList
    global actualType
    global nodeStyle
    global h1
    global h2
    global c1
    global c2
    global c3
    global visi_value
    global main_window
    global nodeLabel
    global edgelabel
    global iconposition
    global win_path_for_types
    global win_path_for_tree
    global win_path_for_shape

    #--------------------------------------------------------------
    # Fenster des Tabs ermitteln
    #--------------------------------------------------------------
    set w $win_path_for_shape.top.frNodeShape.right.frStyles

    if { [winfo exists $w.right] == 1  } { destroy $w.right }
    
    #--------------------------------------------------------------
    # Rahmen fuer die rechte Seite
    #--------------------------------------------------------------
    frame $w.right
    pack $w.right -side top -fill both -expand yes
    set right $w.right

    #--------------------------------------------------------------
    # Ueberschrift
    #--------------------------------------------------------------
    label $right.label1 -text "Shape Specific Options" -fg blue
    pack $right.label1 -side top -padx 2
    
    #--------------------------------------------------------------
    # Option Radius
    #--------------------------------------------------------------
    global nRadius
    set nRadius 10
    tixControl $right.radius -label "Radius: " -integer true \
	-variable nRadius -min 1 -max 10 \
	-command radius:set \
	-options { entry.width 12 label.width 16 label.anchor w	}
    $right.radius subwidget entry config -state disabled
    pack $right.radius -side top -padx 2 -anchor w
    
    #--------------------------------------------------------------
    # Option Thickness
    #--------------------------------------------------------------
    global nThickness
    set nRadius 1
###    set nRadius $typeArray(DOTRADIUS)
    tixControl $right.thickness -label "Thickness: " -integer true \
	-variable nThickness -min 1 -max 10 \
	-command thickness:set \
	-options { entry.width 12 label.width 16 label.anchor w	}
    $right.thickness subwidget entry config -state disabled
    pack $right.thickness -side top -padx 2 -anchor w
}

return ok