proc SetupLog {} {
    global log

    frame $log
    pack $log -side bottom -fill both -expand 1
    scrollbar $log.scroll -relief flat -command "$log.text yview"
    pack $log.scroll -side right -fill y
    text $log.text -wrap word -relief raised -bd 2 -setgrid true -yscrollcommand "$log.scroll set"
    pack $log.text -side left -fill both -expand 1

    bind $log.text <Return> { 
	$log.text insert "insert lineend" "\n=> [eval [ $log.text get {insert linestart} {insert lineend}]]\n"}
}


proc ClearLog {} {
    global log
    update
    $log.text delete 1.0 end
}


################################################################################
#
# Globals
#
################################################################################

#JKset log .log

#JKwm title . "Log"
#KLwm iconname . "Log"

#JKSetupLog

#JKbind $log <Leave> {focus %W}

return ok