################################################################################
#
# Tcl script for Prototypes
#
################################################################################



set NoOfNodetypes 0
set NoOfEdgetypes 0
set entrywidth 30
set attrcount 0
set layoutalg sugiyama
set topd 1
set iter 10
set vnodespace 40
set hnodespace 40
set allowedNtypes ""
set allowedEtypes ""
set nodetype 1
set selectedfile ""
set textgraphlines 0


################################################################################
#
# Initialize browser window 
#
################################################################################

# set path .browse
# toplevel $path
# wm minsize $path 100 100
# # default name
# wm title $path PrototypeGraph

################################################################################
#
# include all necessary parts
#
################################################################################

#JK ermittle pfad aus env-variablen:
set scriptpath $env(TCL_PATH)
set scriptpath $scriptpath/tcl/tkbrowser
#ungewoenlich zu lesen aber war: an den inhalt von "scriptpath" wird unmittelbar "/tcl/tkbrowser" angehaengt

# IMPORTANT: Script MenuSystemPrototype must be called after VariableBrowser
#            and before GraphBrowser !!
#            Also do not change order.

# es werden nicht alle Prozeduren aus TKBROWSER benoetigt
# zum test wurden einige Skripte deaktiviert
# Rolf 07.04.98
#source "$scriptpath/Log.tcl" 
source "$scriptpath/Dialogs.tcl" 
#source "$scriptpath/Nodes.tcl" 
#source "$scriptpath/Edges.tcl" 
source "$scriptpath/Transactions.tcl"
#source "$scriptpath/TypeConfig.tcl"
source "$scriptpath/TextView.tcl"

set personal_init_file "~/.ProgresGraphBrowserInit.tcl"

if { [file exists "$personal_init_file"]} {
   puts "reading $personal_init_file\n" 
   source $personal_init_file 
}

return ok
