/*******************/
/* C_Math.c        */
/*******************/

/****************************************/
/* implementation of imported functions */
/****************************************/

/***************************************************************************/
/*                                                                         */
/*  ATTENTION: please SET environment Variable "IMPORTLIB" according       */
/*             to the library containing the object code of the            */
/*             imported types and functions.                               */
/*                                                                         */
/***************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

/* use type definitions in the header file */
#include "Math.h"

/****************************************/
/* implementation of imported functions */
/****************************************/

void DIV( int* result, int* divisor, int* divident )
{
  double help;

  help=(*divisor+0.0)/(*divident);
  *result=rint(help);
}

void MOD( int* result, int* divisor, int* divident )
{
  *result=((*divisor)%(*divident));
}

void ABS( int* result, int* number )
{
  *result=abs(*number);
}

void Random( int* result )
{
  *result=rand();
}

void Tangens( int* result, double* angle )
{
  *result=(tan(*angle)*1000);
}

void Sinus( int* result, double* angle )
{
  *result=(sin(*angle)*1000);
}

void Cosinus( int* result, double* angle )
{
  *result=(cos(*angle)*1000);
}
