/* C_DynamicLinkHandler.h */
/* #include <m2_aox.h> */

#if !defined (C_DynamicLinkHandler_h_)
#define C_DynamicLinkHandler_h_

  
#define MaxUndefinedSymbols 64
#define MaxPathLength 300
#define ImportedLibName "libImportedFunctionsLib.so.0.0"


#ifdef __cplusplus
extern "C" {
#endif
 
#include "rgglobal.h"

typedef char PathName[MaxPathLength];

void InitLinkHandler(BOOLEAN *success);

void CloseLinkHandler(void);

void ResetLinkHandler(BOOLEAN *success);

void ExecuteExternalFunction(unsigned char *ModuleName,
				    unsigned char *FuncName,
				    long int *InParameters, 
				    unsigned int NoOfParams,   
				    BOOLEAN  *success);
#ifdef __cplusplus
}
#endif
 
#endif /* C_DynamicLinkHandler_h_ */
