/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
//-*-Mode: C++;-*-
#ifndef FFGRAPHLABEL
#define FFGRAPHLABEL

#include "FFLabelClass.h"
#include "FFGraph.h"

//---- newclass -----------------------------------------------------------

#define ffGraphLabel String ("FFGraphLabel")
class FFInspector;

class FFGraphLabel : public FFLabelClass
{
protected:
	FFGraph graph;
	FFInspector *inspector;
	
public:
  FFGraphLabel()
    {inspector = NULL; _setType(ffGraphLabel);}
  virtual void init(const FFGraph& g) { graph = g; }
  virtual FFGraphLabel *proto() const = NULL;
  virtual BOOL hasOwnInspector() const; 
  virtual void showInspector();
  virtual void updateInspector();
    
  virtual FFGraph getGraph() {return graph;}
  virtual ~FFGraphLabel();
};

#endif
