#ifndef M3_AOC_H_
#define M3_AOC_H_

#include "m2_types.h"

/* if x is NIL -> 0, if x # NIL -> strlen(x) */
#define M3_AOC_NUMBER(x) (x ? strlen(x)+1 : 0)

struct m3aoc__
{
#ifndef __STDC__
  CHAR *array;
#else
  const CHAR *array;
#endif /* STDC */
  CARDINAL length;
};

#define M3_AOC_T(x) struct m3aoc__ *x
#define M3_AOC_VAR(x) struct m3aoc__ x ## __aoc
#define M3_AOC(x, att) ((struct m3aoc__ *)&(x ## __aoc = (struct m3aoc__){att,M3_AOC_NUMBER(att)}, x ## __aoc))
#define M3_AOC_GETSTR(x) (x->array)
#define M3_AOC_GETNUM(x) (x->length)


#endif /* M3_AOC_H_ */
