%/*
% *
% *  Filter fuer die Relationen-Operationen von GRAS.
% *
% */


%#include "xdr/prim.h"


%/*
% * Daten, die beim Callback fuer Aktionen an den Klienten geschickt werden.
% */
struct CB_ActionParameters
{
  ActionProc  Action;
  GraphEvent  Event;
};

%/*
% * Daten, die beim Callback fuer Attributberechnungsfunktionen an den
% * Klienten geschickt werden.
% */
struct CB_EvalFuncParameters
{
  EvalFunction    Function;
  NodeNumber      Node;
  AttributeNumber AttNo;
};

struct CB_DisplayError
{
  BOOLEAN Halt;
  BOOLEAN ExecuteTrapHandler;
  AOC     ModuleName;
  AOC     ProcedureName;
  AOC     Name;
  AOC     ErrorMessage;
};

